<template>
  <v-autocomplete
    v-bind="$attrs"
    v-model="civilStatus"
    :items="validCivilStatuses"
    item-value="id"
    item-text="name"
   /></template>

<script lang="ts">
import Vue from 'vue'

const validCivilStatuses: { id: string, name: string }[] = [
  {
    id: 'SINGLE',
    name: 'Solteiro(a)'
  },
  {
    id: 'MARRIED',
    name: 'Casado(a)'
  },
  {
    id: 'STABLE_UNION',
    name: 'União Estável'
  },
  {
    id: 'SEPARATED',
    name: 'Separado(a)'
  },
  {
    id: 'DIVORCED',
    name: 'Divorciado(a)'
  },
  {
    id: 'WIDOWED',
    name: 'Viúvo(a)'
  }
]

export default Vue.extend({
  name: 'CivilStatusInput',
  props: {
    value: { type: String, default: null }
  },
  data: () => ({
    validCivilStatuses
  }),
  computed: {
    civilStatus: {
      get (): string {
        return this.value
      },
      set (v: string) {
        this.$emit('input', v)
      }
    }
  }
})
</script>
